import { BaseCommandLineFeature } from 'tnp-helpers/lib';
import { EnvOptions } from '../../options';
import type { Project } from '../abstract/project';
import type { TaonProjectResolve } from '../abstract/project-resolve';
export declare class BaseCli extends BaseCommandLineFeature<EnvOptions, Project> {
    ins: TaonProjectResolve;
    __initialize__(): Promise<void>;
    protected __recreateEnvForArtifactAndEnvironment(): Promise<void>;
    _(): void;
}
